:root{
    --pink:rgb(72%, 51%, 65%, 0.8);
    --dark:#2e1c1c;
}
* {
  margin: 0;
  padding: 0;
  }
  .logo_Mrock{
    color: var(--pink);
    text-decoration: none;
  }
  .Logo-button{
      margin:3% 3%;
      padding:0% 1%;
      border: none;
      border-radius:30px;
      font-size: 210%;
      background-color: var(--dark);
      }
  .body_general{
      margin: 3% 10% 1% 10%;
      position: fixed; 
      top: 20px;      
      bottom: 20px;    
      left: 20px;    
      right: 20px;
      background-color: var(--pink);
      border-radius: 30px;
      border: solid var(--dark);
      }
      body{
          background: url('images/gif/general_fons.gif') no-repeat fixed;
          background-size:cover;
          }
    .form_input{
            border-radius:30px;
            display:flex;
            align-items: center;
            border:1px solid var(--dark);
            background: #ffffff;
            overflow: hidden;
            padding-left: 5%;
            font-size: 200%;
            margin-left: 15%;
            margin-right: 15%;
            }
    .form_icon{
        display: inline-block;
        width:21px;
        height:21px;
        border: 3px solid var(--dark);
        position: relative;
        border-radius: 50%;
        }
        .form_icon::before{
            content: '';
            position:absolute;
            display: inline-block;
            right: -4px;
            bottom: -4px; 
            background: var(--dark);
            width: 6px;
            height: 2px;
            transform: rotate(45deg);
        }
        .form{
            width:100%;
            font-size:16px;
            padding: 15px;
            outline:none;
            border: none;
        }
        .anime_vidios{
            opacity:0;
            visibility: hidden;
            max-height: 231px;
            border-radius: 30px;
            position:absolute;
            left:0;
            margin-left: 15%;
            background:#ffffff;
            border: 1px solid var(--dark);
            list-style: none;
            overflow: auto;
            width:70%;
            }
            .anime_vidios::-webkit-scrollbar{
                width:7px;
                height:7px;   
            }
             .anime_vidios::-webkit-scrollbar-thumb{
                background: var(--pink);
                border-radius: 10px;
            }
            .form_body.active-search .anime_vidios{
            opacity:1;
            visibility: visible;
                }
                
                .anime_vidios video a{
                    text-decoration: none;
                    color: var(--pink);
                    }
                .anime_vidios video{
                    padding: 10px;
                    cursor: pointer;
                    transition: background-color 0.2s;
                    }
                .anime_vidios video::hover{
                    background-color: var(--pink);
                }
            .form_body {
                position: relative;
                }
                .anime_vidios a{
                    text-decoration: none;
                    color: var(--dark);
                    font-size: 120%;
                    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
                }
                .anime_vidios li{
                    padding-bottom: 3%;
                    padding-top: 3%;
                    text-align: center;
                }
                img{
                    max-width: 200px;
                    max-height: 500px;
                }                
                a{
                    text-decoration: none;
                    color:var(--dark);
                    text-align: center;
                }
                .tokyo{
                    padding-bottom: 5%;
                    padding-top: 5%;
                    margin-right: 60%;
                }
                a:hover{
                    -webkit-text-shadow: 5px 5px 5px var(--dark);
                    -moz-text-shadow: 5px 5px 5px var(--dark);
                    text-shadow: 5px 5px 5px var(--dark);
                }